view scripts/roundup.rc-debian @ 5118:57452bc6d989

issue2550853 - better error handling and cleanup on some postgres tests by Stuart McGraw. My postgres tests passed both before and after I applied his patch, but the code change seems rational. issue2086536 - back_postgresql: fixing pg_command and prefering psycopg2. Patch done by Philipp Gortan (mephinet). His patch also improves handling of retryable errors. Applied and edited by John Rouillard. Edits included removing support for psycopg1. See: https://sourceforge.net/p/roundup/mailman/message/32855027/ for rational for dropping it Again all 137 postgres tests pass.
author John Rouillard <rouilj@ieee.org>
date Sat, 02 Jul 2016 21:15:23 -0400
parents 6e3e4f24c753
children
line wrap: on
line source

#!/bin/sh -e
#
# roundup	Startup script for the roundup http server.

DESC='Roundup HTTP-Server'

BINFILE=roundup-server
EXECUTABLE=/usr/local/bin/$BINFILE
PIDFILE=/var/run/roundup/server.pid
LOGFILE=/var/log/roundup/roundup.log
TRACKERS=tttech=/tttech/org/software/roundup/tttech/
OPTIONS="-- -p 8080 -u roundup -d $PIDFILE -l $LOGFILE $TRACKERS"


test -x $EXECUTABLE || exit 0

start_stop() {
	case "$1" in
	start)
		printf "Starting $DESC:"
		start-stop-daemon --start --oknodo --quiet \
                                  --pidfile $PIDFILE \
				  --exec $EXECUTABLE $OPTIONS
		printf " $BINFILE"
		printf ".\n"
		;;
	stop)
		printf "Stopping $DESC:"
		start-stop-daemon --stop --oknodo --quiet \
                                  --pidfile $PIDFILE \
				  --exec $EXECUTABLE $OPTIONS
		printf " $BINFILE"
		printf ".\n"
		;;
	restart | force-reload)
		start_stop stop
		sleep 1
		start_stop start
		;;
	*)
		printf "Usage: $0 {start|stop|restart|force-reload}\n" >&2
		exit 1
		;;
	esac
}

start_stop "$@"

exit 0

Roundup Issue Tracker: http://roundup-tracker.org/